## white dune-0.26pl5

=== Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

dune:
	cd src && make

configure: configure.in
	autoconf

clean:
	rm -f config.cache config.log config.status confdefs.h nohup.out
	rm -rf autom4te.cache
	rm -f test/dune_selftest
	cd src && make clean
	find . -name snap.rgb -type f -print | xargs rm -f
	find . -name core -type f -print | xargs rm -f
	find . -name dune.core -type f -print | xargs rm -f

realclean: clean
	rm -f bin/dune bin/dune4kids
	cd src && make realclean
	cd docs/developer_docs && make realclean 
	cd test && make realclean
	find . -name 'Makefile.bak' -print | xargs rm -f
	find . -name '.dune_preview_*.wrl' -print | xargs rm -f
	find . -name '.dune_textedit_*' -print | xargs rm -f
	find . -name '.dune_ecmascript_*' -print | xargs rm -f
	find . -name '.gdb_history' -print | xargs rm -f
	find . -name '.xvpics' -print | xargs rm -rf

documentation:
	cd docs/developer_docs && make 

selftest:
	cd test && make 

# DO NOT DELETE

=== src/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
CXX = g++
CXXCPP = g++ -E
YACC = bison -y
LEX = flex
AWK = gawk

# WARNINGS = -Wall -Wwrite-strings
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322
CFLAGS = -g $(WARNINGS) -I. -Iswt/include  -I/usr/local/include -I/usr/freeware/include 
CXXFLAGS = $(CFLAGS)
LIBS =  -Lswt/lib -lswt -LSDLjoystick  -lILU -lIL -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 
NEBULA = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

CLASSES = \
	AboutDialog.o \
	Box2NurbsDialog.o \
	CommandList.o \
	ElevationGridDialog.o \
	EventIn.o \
	EventOut.o \
	ExposedField.o \
	Field.o \
	FieldCommand.o \
	MFieldCommand.o \
	Face.o \
	FieldValue.o \
	Image.o \
	Interpolator.o \
	Matrix.o \
	MoveCommand.o \
	Scene.o \
	Node.o \
	Path.o \
	Proto.o \
	RouteCommand.o \
	SFBool.o \
	SFColor.o \
	SFFloat.o \
	SFImage.o \
	SFInt32.o \
	SFNode.o \
	SFRotation.o \
	SFString.o \
	SFTime.o \
	SFVec2f.o \
	SFVec3f.o \
	MyString.o \
	UnRouteCommand.o \
	Mesh.o \
	MFColor.o \
	MFInt32.o \
	MFFloat.o \
	MFNode.o \
	MFRotation.o \
	MFString.o \
	MFTime.o \
	MFVec2f.o \
	MFVec3f.o \
	NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeBackground.o \
	NodeBillboard.o \
	NodeBox.o \
	NodeCollision.o \
	NodeColor.o \
	NodeColorInterpolator.o \
	NodeCone.o \
	NodeCoordinate.o \
	NodeCoordinateInterpolator.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
	NodeDirectionalLight.o \
	NodeElevationGrid.o \
	NodeExtrusion.o \
	NodeFog.o \
	NodeFontStyle.o \
	NodeGroup.o \
	NodeImageTexture.o \
	NodeIndexedFaceSet.o \
	NodeIndexedLineSet.o \
	NodeInline.o \
	NodeList.o \
	NodeLOD.o \
	NodeMaterial.o \
	NodeMovieTexture.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsGroup.o \
	NodeNurbsSurface.o \
	NodeOrientationInterpolator.o \
	NodePixelTexture.o \
	NodePlaneSensor.o \
	NodePointLight.o \
	NodePointSet.o \
	NodePositionInterpolator.o \
	NodeProximitySensor.o \
	NodeScalarInterpolator.o \
	NodeScript.o \
	NodeShape.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
	NodeSpotLight.o \
	NodeSwitch.o \
	NodeText.o \
	NodeTextureCoordinate.o \
	NodeTextureTransform.o \
	NodeTimeSensor.o \
	NodeTouchSensor.o \
	NodeTransform.o \
	NodeViewpoint.o \
	NodeVisibilitySensor.o \
	NodeWorldInfo.o \
	NurbsCurveDialog.o \
	NurbsPlaneDialog.o \
	SelectionCommand.o \
	Quaternion.o \
	RenderState.o \
	SceneTreeView.o \
	SceneGraphView.o \
	Scene3DView.o \
	SceneView.o \
	Dialog.o \
	PreferencesDialog.o \
	EcmaScriptSettingsDialog.o \
	PreviewSettingsDialog.o \
	HelpSettingsDialog.o \
	TexteditSettingsDialog.o \
	StereoViewSettingsDialog.o \
	DuneApp.o \
	FieldView.o \
	FieldViewItem.o \
	Util.o \
	URL.o \
	PanedWindow.o \
	StatusBar.o \
	ChannelView.o \
	ToolbarWindow.o \
	EulerAngles.o \
        xerrorhandler.o \
        x3dtranslators.o \
        InputDevice.o \
        TransformMode.o \
        ColorCircle.o \
        Aflock.o \
        ScriptDialog.o \
        ScriptEdit.o \
        Types.o \
        InputDeviceCommandline.o \
        PreferencesApp.o \
        StereoViewApp.o \
        InputDeviceApp.o \
        DefDialog.o \
	Cone2NurbsDialog.o \
	Cylinder2NurbsDialog.o \
	Sphere2NurbsDialog.o \
	NurbsArc.o\
	NurbsCurveDegreeElevate.o \
	NurbsMakeRevolvedSurface.o \
        NurbsCurve2NurbsSurfDialog.o \
	parser.o \
	lexer.o $(NEBULA)


OBJS1 = \
	gif.o \
	jpegLoad.o \
	pngLoad.o \
        mysnprintf.o



OBJS =  $(CLASSES) $(OBJS1) 

OBJSDUNE = resource.o MainWindow.o AnimationDialog.o

OBJSDUNE4KIDS = resource4kids.o MainWindow4kids.o AnimationDialog4kids.o

OBJSALL =  $(OBJS) $(OBJSDUNE) $(OBJSDUNE4KIDS)
                   

SRCS2  = $(OBJS1:.o=.c)
SRCS1 = $(CLASSES:.o=.cpp) resource.c MainWindow.cpp AnimationDialog.cpp \
        main.cpp 

HEADERS = $(CLASSES:.o=.h) \
	List.h \
	Array.h \
	Map.h \
	Stack.h \
	Command.h \
	Vec2f.h \
	Vec3f.h \
	stdafx.h \
	Element.h \
	Point.h \
	Rect.h \
	resource.h

YFLAGS = -d

DISTFILES = $(SRCS1) $(HEADERS) parser.cpp lexer.cpp \
	    gif.h kljcpyrght.h jpegLoad.h jpegLoad.c y.tab.h \
	    parser.y lexer.l parser.h dune.rc StdAfx.cpp \
	    QuatTypes.h FontInfo.h Makefile.in configure.in config.h.in \
	    configure dune.dsp dune.dsw README COPYING TODO

target: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../bin/dune
	$(MAKE) ../bin/dune4kids

nebula/ExportNebula.o: nebula/ExportNebula.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ nebula/ExportNebula.cpp

MainWindow4kids.o: MainWindow.cpp
	$(CXX) $(CXXFLAGS) -DHAVE_SIMPLE_MENU_4_KIDS=1 -c -o $@ MainWindow.cpp

AnimationDialog4kids.o: AnimationDialog.cpp
	$(CXX) $(CXXFLAGS) -DHAVE_SIMPLE_MENU_4_KIDS=1 -c -o $@ AnimationDialog.cpp

../bin/dune: main.o $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) main.o $(OBJSDUNE) $(OBJS) $(LIBS) -o $@
	sh -c "if test `uname` = IRIX64 ; then tag 0x00ff1a00 $@ ; fi"
	sh -c "if test `uname` = IRIX   ; then tag 0x00ff1a00 $@ ; fi"

../bin/dune4kids: main.o $(OBJSDUNE4KIDS) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) main.o $(OBJSDUNE4KIDS) $(OBJS) $(LIBS) -o $@
	sh -c "if test `uname` = IRIX64 ; then tag 0x00ff1a03 $@ ; fi"
	sh -c "if test `uname` = IRIX   ; then tag 0x00ff1a03 $@ ; fi"

selftest: mysnprintf.o 
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_selftest

../test/dune_selftest: ../test/selftest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/selftest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

allNodesTest: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_allNodesTest

../test/dune_allNodesTest: ../test/allNodesTest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/allNodesTest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

lexer.o:	lexer.cpp
	$(CXX) $(CXXFLAGS) $(LFLAGS) -c lexer.cpp

lexer.cpp:	lexer.l
	echo '#ifndef WIN32' > lexer.cpp
	echo '#include "unistd.h"' >> lexer.cpp
	echo '#endif' >> lexer.cpp
	$(LEX) -t lexer.l | grep -v unistd.h >> lexer.cpp

parser.o:	parser.cpp
	$(CXX) $(CXXFLAGS) -c parser.cpp

parser.cpp y.tab.h:	parser.y
	$(YACC) $(YFLAGS) parser.y
	mv y.tab.c parser.cpp

ICONS= res/fullSocketSquare.bmp  res/standard_toolbar.bmp \
       res/emptySocketSquare.bmp res/halftone.bmp         \
       res/node_icons.bmp        res/vcr.bmp

resource.c:	dune.rc swt/rc/rc $(ICONS) resource.h
	sed 's.\\\\./.' < dune.rc > dune1.rc.c
	$(CXXCPP) dune1.rc.c > dune2.rc.c 
	grep -v '//' dune2.rc.c > dune3.rc.c
	if swt/rc/rc < dune3.rc.c > resource.c ; then echo ; else rm  resource.c ; exit 1 ; fi
	rm dune1.rc.c dune2.rc.c dune3.rc.c

resource4kids.c: dune.rc swt/rc/rc $(ICONS) resource.h
	sed 's.\\\\./.' < dune.rc > dune1.rc.c
	$(CXXCPP) -DHAVE_SIMPLE_MENU_4_KIDS=1 dune1.rc.c > dune2.rc.c 
	grep -v '//' dune2.rc.c > dune3.rc.c
	if swt/rc/rc < dune3.rc.c > resource4kids.c ; then echo ; else rm  resource4kids.c ; exit 1 ; fi
	rm dune1.rc.c dune2.rc.c dune3.rc.c

swt/rc/rc: swt/rc/rc.c
	(cd swt/rc && make)

configure: configure.in
	autoconf
     
dname:	$(DISTFILES)
	pwd | sed 's|.*/||' > .dname
	rm -rf `cat .dname`
	mkdir `cat .dname`
	ln $(DISTFILES) `cat .dname`
	cd res ; $(MAKE) dist
	cd swt ; $(MAKE) dist
	tar cf - `cat .dname` | gzip > `cat .dname`.tar.gz
	rm -rf `cat .dname` .dname

clean:
	cd swt ; $(MAKE) clean
	cd SDLjoystick ; $(MAKE) clean
	rm -rf $(OBJSALL) main.o *.bak \
        gmon.out config.cache config.log core iifiles ii_files \
	mysnprintftest joysticktest spaceballtest aflocktest

ntclean: 
	rm -f dune.aps dune.opt dune.ncb  dune.plg dune.dep dune.mak \
              swt/win32/Release/*.obj swt/win32/Debug/*.obj \
              Release/*.obj Debug/*.obj

ntrealclean: ntclean
	 rm -f swt/win32/Release/* swt/win32/Debug/* \
               Release/* Debug/*

realclean: clean ntrealclean
	rm -f swt/lib/*.a swt/lib/*.so* swt/rc/rc */*.obj bison.simple
	rm -rf v2x3d/* x3dv2/*

mysnprintftest: mysnprintf.c
	$(CC) -g -DTEST_SNPRINTF -DHAVE_SNPRINTF=1 -o $@ mysnprintf.c -lm

INPUTTEST_OBJS=EulerAngles.o Quaternion.o Aflock.o

joysticktest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) -DDEBUG=1 $(CXXFLAGS) -g -DTEST_JOYSTICK -DLINUXJOYSTICK=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS)

spaceballtest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) $(CXXFLAGS) -g -DTEST_SPACEBALL -DHAVE_LIBSBALL=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS) -lsball

aflocktest: InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o
	$(CXX) $(CXXFLAGS) -g -DTEST_AFLOCK -DHAVE_AFLOCK=1 \
             -o $@ InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o $(LIBS)

clobber:
	cd swt ; $(MAKE) clobber
	rm -f dune

depend:	parser.cpp lexer.cpp
	cp Makefile Makefile.bak
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CXX)" = "c++" ; then \
           mkdep="g++ -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CXX) -xM1";\
           else\
              mkdep="$(CXX) -M";\
           fi\
        fi;\
        $$mkdep $(CXXFLAGS) $(SRCS1) $(SRCS2) parser.cpp lexer.cpp >> Makefile

debug: ../bin/dune
	rm xerrorhandler.o
	$(CXX) $(CXXFLAGS) -DHAVE_WANT_CORE=1 -c xerrorhandler.cpp
	make ../bin/dune

# DO NOT DELETE THIS LINE -- make depend depends on it.

AboutDialog.o: AboutDialog.cpp stdafx.h config.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/unistd.h \
 /usr/include/standards.h /usr/include/sys/types.h \
 /usr/include/sgidefs.h /usr/include/internal/sgimacros.h \
 /usr/include/sys/pthread.h /usr/include/sys/bsd_types.h \
 /usr/include/sys/select.h /usr/include/string.h \
 /usr/include/internal/string_core.h /usr/include/sys/unistd.h \
 /usr/include/getopt.h /usr/include/sys/uio.h /usr/include/utime.h \
 /usr/include/sys/utime.h /usr/include/re_comp.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/limits.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/syslimits.h \
 /usr/include/GL/gl.h /usr/include/GL/glu.h mysnprintf.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/assert.h \
 AboutDialog.h Dialog.h swt/include/swttypedef.h resource.h \
 swt/include/swt.h swt/include/keycodes.h MyString.h \
 /usr/include/stdio.h /usr/include/internal/stdio_core.h \
 /usr/include/stdlib.h /usr/include/internal/stdlib_core.h \
 /usr/include/internal/locale_attr_core.h newline.h
Box2NurbsDialog.o: Box2NurbsDialog.cpp stdafx.h config.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/unistd.h \
 /usr/include/standards.h /usr/include/sys/types.h \
 /usr/include/sgidefs.h /usr/include/internal/sgimacros.h \
 /usr/include/sys/pthread.h /usr/include/sys/bsd_types.h \
 /usr/include/sys/select.h /usr/include/string.h \
 /usr/include/internal/string_core.h /usr/include/sys/unistd.h \
 /usr/include/getopt.h /usr/include/sys/uio.h /usr/include/utime.h \
 /usr/include/sys/utime.h /usr/include/re_comp.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/limits.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/syslimits.h \
 /usr/include/GL/gl.h /usr/include/GL/glu.h mysnprintf.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/assert.h \
 Box2NurbsDialog.h Dialog.h swt/include/swttypedef.h Node.h \
 /usr/include/stdio.h /usr/include/internal/stdio_core.h Array.h \
 List.h Vec3f.h /usr/include/math.h /usr/include/svr4_math.h \

=== test/Makefile ===
all:
	cd ../src && make selftest
	./dune_selftest > allNodesTest.cpp
	sh -c "cd ../src;ls Node*.h | awk '{print \"#include \\\"\" \$$0 \"\\\"\"}' > ../test/AllNodes.h"
	cd ../src && make allNodesTest
	./dune_allNodesTest > allNodesTest.wrl
	./dune_selftest allNodesTest.wrl 2>/dev/null

realclean:
	rm -f dune_selftest *allNodesTest* AllNodes.h

=== docs/developer_docs/Makefile ===
all: man2html doxygen

doxygen: 
	sh mkdoxygen.sh

man2html:
	if test -x `which man2html` ; then sh man2html.sh | tee ../usage_docs/dune.1.html ; fi

realclean:
	rm -rf doxygen_out_html

jpgdoc:
	rm -rf /tmp/white_dune_docs
	mkdir /tmp/white_dune_docs
	cp -r ../../docs /tmp/white_dune_docs
	sh ./png2jpg.sh developer_docs dune dune_developer.html
	sh ./png2jpg.sh usage_docs windows dune_de.html
	sh ./png2jpg.sh usage_docs colorcircle1 dune_de.html
	sh ./png2jpg.sh usage_docs colorcircle2 dune_de.html
	sh ./png2jpg.sh usage_docs windows dune_en.html
	sh ./png2jpg.sh usage_docs colorcircle1 dune_en.html
	sh ./png2jpg.sh usage_docs colorcircle2 dune_en.html
	sh ./png2jpg.sh usage_docs dune_animation dune_de_exercise.html
	sh ./png2jpg.sh usage_docs dune_interaktion dune_de_exercise.html
	sh ./png2jpg.sh usage_docs dune_animation dune_en_exercise.html
	sh ./png2jpg.sh usage_docs dune_interaktion dune_en_exercise.html

documentation: all

=== src/SDLjoystick/Makefile ===
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

CC = gcc
CXX = g++
SDL_JOYSTICK_SUBDIR = 
LIBS = -lILU -lIL -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 

CFLAGS = -g -O2 -I$$PWD 
RANLIB = echo

OBJS =  mini_SDL_joystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o

libSDLjoystick.a: $(OBJS) 
	if test -f SDL_sysjoystick.o ; then mv SDL_sysjoystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o ; fi 
	ar -r $@ $(OBJS)
	$(RANLIB) $@ 

joysticktest: joysticktest.c libSDLjoystick.a
	cc -o $@ $(CFLAGS) joysticktest.c libSDLjoystick.a $(LIBS)

clean:
	rm -f joysticktest libSDLjoystick.a *.o */*.o

depend: 
	cc -M -I$$PWD $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.c >> Makefile

# do not delete

=== src/res/Makefile ===
DISTFILES = \
	halftone.bmp \
	emptySocketSquare.bmp \
	fullSocketSquare.bmp \
	node_icons.bmp \
	vcr.bmp \
	standard_toolbar.bmp \
	dune.ico \
	Makefile

bogus:
	@echo "nothing to make here, move along"

dname:
	mkdir ../`cat ../.dname`/res
	ln $(DISTFILES) ../`cat ../.dname`/res

=== src/swt/motif/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
AWK = gawk
RANLIB = echo 

LIBS = -lXpm -lXm -lXt -lX11
INCDIRS = -I../.. -I../include  -I/usr/local/include -I/usr/freeware/include 
# WARNINGS = -Wall -Wwrite-strings
FONT24 = 
CFLAGS = -g $(WARNINGS) $(INCDIRS) -DFONT24=\"$(FONT24)\"
DLIB = ../lib/libswt.so.0.1
SLIB = ../lib/libswt.a

target: $(SLIB)
#target: $(DLIB) $(SLIB)

OBJS = \
	swt.o \
	browser.o \
	tree.o \
	header.o \
	groupbox.o \
	statusbar.o \
	toolbar.o \
	util.o \
	resload.o

SRCS = $(OBJS:o=c)

DISTFILES = $(SRCS) copy.xbm copy_mask.xbm link.xbm link_mask.xbm \
	    error.xbm error_mask.xbm Makefile.in

$(DLIB):	$(OBJS)
		$(CC) -shared -o $(DLIB) $(OBJS)

$(SLIB):	$(OBJS)
		ar -r $(SLIB) $(OBJS)
		$(RANLIB) $(SLIB)

clean:
		rm -f $(OBJS) $(LIB) *.bak core

dname:
		mkdir ../../`cat ../../.dname`/swt/motif
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/motif

depend:
	cp Makefile Makefile.bak
	$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CC)" = "gcc" ; then \
           mkdep="gcc -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CC) -xM";\
           else\
              mkdep="$(CC) -M";\
           fi\
        fi;\
        $$mkdep $(INCDIRS) $(SRCS) >> Makefile

# DO NOT DELETE this line -- it's make depend food

swt.o: swt.c ../../config.h ../include/swt.h ../include/keycodes.h \
 ../include/swttypedef.h ../include/swtxinput.h ../../mycsnprintf.h \
 ../../mysnprintf.h copy.xbm copy_mask.xbm link.xbm link_mask.xbm \
 error.xbm error_mask.xbm swt_structs.h
browser.o: browser.c ../../config.h ../include/swt.h \
 ../include/keycodes.h ../include/swttypedef.h
tree.o: tree.c
header.o: header.c
groupbox.o: groupbox.c ../include/swt.h ../include/keycodes.h \
 ../include/swttypedef.h
statusbar.o: statusbar.c ../include/swt.h ../include/keycodes.h \
 ../include/swttypedef.h
toolbar.o: toolbar.c ../../config.h ../include/swt.h \
 ../include/keycodes.h ../include/swttypedef.h
util.o: util.c
resload.o: resload.c

=== src/swt/rc/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
AWK = gawk
LEX = flex
YACC = bison -y

LIBS =
LIBDIRS =
INCDIRS = -I../include
# WARNINGS = -Wall -Wwrite-strings
CFLAGS = -g $(WARNINGS) $(INCDIRS)
MAKEDEPEND=gcc -MM
YFLAGS = -d

TARGET = rc

OBJS = \
	rcparse.o \
	rclex.o \
	rc.o

$(TARGET):	$(OBJS)
	$(CC) $(OBJS) -o $(TARGET)

SRCS = rc.c

DISTFILES = $(SRCS) rc.h rcparse.y rclex.l Makefile.in

clean:
		rm -f $(OBJS) rcparse.c rclex.c

clobber:
		rm -f $(TARGET)

dname:
		mkdir ../../`cat ../../.dname`/swt/rc
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/rc

depend:		$(SRCS)
		cp Makefile Makefile.bak
		$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile
		$(MAKEDEPEND) $(INCDIRS) $(SRCS) >> Makefile

y.tab.h:	rcparse.c

rclex.o:	y.tab.h rc.h

rcparse.o:	rc.h

# DO NOT DELETE this line -- it's make depend food
rc.o: rc.c rc.h

=== src/swt/tests/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CPP = gcc -E
CC = gcc
AWK = gawk
CXXCPP = g++ -E
CXX = g++

LIBS = ../../mysnprintf.o ../lib/libswt.a -lILU -lIL -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 

INCDIRS = -I../include

# WARNINGS = -Wall -Wwrite-strings
CFLAGS = -g $(WARNINGS) $(INCDIRS)
CXXFLAGS = $(CFLAGS)

TARGETS = swTest text buttons doodle drawing tree restest draw1

OBJS=	\
	swTest.o \
	text.o \
	buttons.o \
	doodle.o \
	drawing.o \
	tree.o \
	restest.o 

OBJSCXX= \
        draw1.o

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) -g $(INCDIRS) $(CXXFLAGS) -c $<

SRCS= $(OBJS:o=c) $(OBJSCXX:o=cpp)

DISTFILES=	$(SRCS) Makefile.in res.rc bitmap1.bmp resource.h

targets:	$(TARGETS)

swTest:		swTest.o ../lib/libswt.a
		$(CC) swTest.o $(LIBS) -o swTest

text:		text.o ../lib/libswt.a
		$(CC) text.o $(LIBS) -o text

buttons:	buttons.o ../lib/libswt.a
		$(CC) buttons.o $(LIBS) -o buttons

doodle:		doodle.o ../lib/libswt.a
		$(CC) doodle.o $(LIBS) -o doodle

drawing:	drawing.o ../lib/libswt.a
		$(CC) drawing.o $(LIBS) -o drawing

tree:		tree.o ../lib/libswt.a
		$(CC) tree.o $(LIBS) -o tree

draw1:		draw1.o ../lib/libswt.a
		$(CXX) draw1.o $(LIBS) -o draw1

resource.c:	res.rc bitmap1.bmp
		sed 's.\\\\./.' < res.rc > res.rc.c
		$(CXXCPP) res.rc.c | grep -v '//' | ../rc/rc > resource.c
		rm res.rc.c

restest:	restest.o resource.o ../lib/libswt.a
		$(CC) restest.o resource.o $(LIBS) -o restest

clean:
		rm -f $(OBJS) $(OBJSCXX) \
                      resource.c resource.o \
                      drawing swTest doodle restest tree buttons text draw1

clobber:
		rm -f $(TARGETS)

dname:		$(DISTFILES)
		mkdir ../../`cat ../../.dname`/swt/tests
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/tests

depend:
		cp Makefile Makefile.bak
		$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile

		gcc -MM $(INCDIRS) $(SRCS) >> Makefile

# DO NOT DELETE this line -- it's make depend food
swTest.o: swTest.c ../include/swt.h ../include/keycodes.h
text.o: text.c ../include/swt.h ../include/keycodes.h
buttons.o: buttons.c ../include/swt.h ../include/keycodes.h
doodle.o: doodle.c ../include/swt.h ../include/keycodes.h
drawing.o: drawing.c ../include/swt.h ../include/keycodes.h
tree.o: tree.c ../include/swt.h ../include/keycodes.h ../include/res.h
restest.o: restest.c ../include/swt.h ../include/keycodes.h \
 ../include/res.h resource.h

=== packager/debian/control ===
Source: whitedune
Section: graphics
Priority: optional
Maintainer: J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>
Build-Depends: xvfb, xbase-clients, libgl-dev, libmotif-dev, libpng-dev, libjpeg62-dev, glutg3-dev
Standards-Version: 3.5.6.1

Package: whitedune
Architecture: any
Depends: ${shlibs:Depends}
Suggests: vrwave, openvrml-lookat, freewrl, moonlight, admesh, mayavi
Description: Graphical VRML97 editor and animation tool
 The dune program is a graphical VRML97 editor and animation tool.
 VRML97 (Virtual Reality Modelling Language) is the ISO standard for
 displaying 3D data over the web. It has support for animation, realtime
 interaction and multimedia (image, movie, sound). VRML97 can be written
 by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
 .
 Dune can read VRML97 files, display and let the user change the 
 scenegraph/fields. Dune can load and store x3d (next generation VRML xml
 format) files, if configured to work with the nist.gov x3d translators.
 Advanced features of dune like the usage of 3Drevelator shutterglases with 
 the commercial Linux XIG X11 Server (DX/platium) or the usage of a Labtec
 Spaceball with libsball require recompilation of the source package.
